rev 3091 - trunk/packages/kdelibs/debian/patches
Christopher Martin
chrsmrtn at costa.debian.org
Tue Feb 7 01:05:43 UTC 2006
Author: chrsmrtn
Date: 2006-02-07 01:05:36 +0000 (Tue, 07 Feb 2006)
New Revision: 3091
Modified:
trunk/packages/kdelibs/debian/patches/98_buildprep.diff
Log:
Updated buildprep.
Modified: trunk/packages/kdelibs/debian/patches/98_buildprep.diff
===================================================================
--- trunk/packages/kdelibs/debian/patches/98_buildprep.diff 2006-02-07 01:01:39 UTC (rev 3090)
+++ trunk/packages/kdelibs/debian/patches/98_buildprep.diff 2006-02-07 01:05:36 UTC (rev 3091)
@@ -3543,16 +3543,19 @@
@$(NORMAL_INSTALL)
--- config.h.in
+++ config.h.in
-@@ -1,5 +1,8 @@
+@@ -1,5 +1,11 @@
/* config.h.in. Generated from configure.in by autoheader. */
++/* Define where aspell data dir is */
++#undef ASPELL_DATADIR
++
+/* Avahi API 0.6 */
+#undef AVAHI_API_0_6
+
/* Define to one of `_getb67', `GETB67', `getb67' for Cray-2 and Cray-YMP
systems. This function is required for `alloca.c' support on those systems.
*/
-@@ -94,9 +97,6 @@
+@@ -94,9 +100,6 @@
/* Define if your system has Linux Directory Notification */
#undef HAVE_DNOTIFY
@@ -3562,7 +3565,7 @@
/* Define if you have OpenEXR */
#undef HAVE_EXR
-@@ -558,6 +558,9 @@
+@@ -558,6 +561,9 @@
/* Define to 1 if you have the <sys/param.h> header file. */
#undef HAVE_SYS_PARAM_H
@@ -3572,7 +3575,7 @@
/* Define to 1 if you have the <sys/select.h> header file. */
#undef HAVE_SYS_SELECT_H
-@@ -585,6 +588,12 @@
+@@ -585,6 +591,12 @@
/* Define if sys/stat.h declares S_ISSOCK. */
#undef HAVE_S_ISSOCK
@@ -9235,10 +9238,9 @@
else
- ld_shlibs=no
+ ld_shlibs_GCJ=no
- fi
- ;;
-
-- netbsd*)
++ fi
++ ;;
++
+ linux*)
+ if $LD --help 2>&1 | grep ': supported targets:.* elf' > /dev/null; then
+ tmp_addflag=
@@ -9268,9 +9270,10 @@
+ link_all_deplibs_GCJ=no
+ else
+ ld_shlibs_GCJ=no
-+ fi
-+ ;;
-+
+ fi
+ ;;
+
+- netbsd*)
+ netbsd* | netbsdelf*-gnu | knetbsd*-gnu)
if echo __ELF__ | $CC -E - | grep __ELF__ >/dev/null; then
archive_cmds_GCJ='$LD -Bshareable $libobjs $deplibs $linker_flags -o $lib'
@@ -12388,17 +12391,15 @@
+esac
+fi
+PKG_CONFIG=$ac_cv_path_PKG_CONFIG
-
++
+if test -n "$PKG_CONFIG"; then
+ echo "$as_me:$LINENO: result: $PKG_CONFIG" >&5
+echo "${ECHO_T}$PKG_CONFIG" >&6
- else
-- echo "$as_me: failed program was:" >&5
--sed 's/^/| /' conftest.$ac_ext >&5
++else
+ echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6
+fi
-+
+
+fi
+if test -z "$ac_cv_path_PKG_CONFIG"; then
+ ac_pt_PKG_CONFIG=$PKG_CONFIG
@@ -12408,7 +12409,9 @@
+echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
+if test "${ac_cv_path_ac_pt_PKG_CONFIG+set}" = set; then
+ echo $ECHO_N "(cached) $ECHO_C" >&6
-+else
+ else
+- echo "$as_me: failed program was:" >&5
+-sed 's/^/| /' conftest.$ac_ext >&5
+ case $ac_pt_PKG_CONFIG in
+ [\\/]* | ?:[\\/]*)
+ ac_cv_path_ac_pt_PKG_CONFIG="$ac_pt_PKG_CONFIG" # Let the user override the test with a path.
@@ -12442,18 +12445,18 @@
echo "${ECHO_T}no" >&6
- LIB_DNSSD=""
+fi
-+
+
+ PKG_CONFIG=$ac_pt_PKG_CONFIG
+else
+ PKG_CONFIG="$ac_cv_path_PKG_CONFIG"
-+fi
-
fi
-rm -f conftest.err conftest.$ac_objext \
- conftest$ac_exeext conftest.$ac_ext
-CPPFLAGS=$save_dnssdtest_CPPFLAGS
-LDFLAGS=$save_dnssdtest_LDFLAGS
-LIBS=$save_dnssdtest_LIBS
++
++fi
+if test -n "$PKG_CONFIG"; then
+ _pkg_min_version=0.9.0
+ echo "$as_me:$LINENO: checking pkg-config is at least version $_pkg_min_version" >&5
@@ -13335,6 +13338,15 @@
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
+@@ -51445,7 +52124,7 @@
+ cat confdefs.h >>conftest.$ac_ext
+ cat >>conftest.$ac_ext <<_ACEOF
+ /* end confdefs.h. */
+-#include <pcreposix.h>
++#include <pcre.h>
+ int
+ main ()
+ {
@@ -51463,8 +52142,7 @@
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
@@ -13365,7 +13377,24 @@
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
-@@ -51869,8 +52545,7 @@
+@@ -51793,6 +52469,16 @@
+
+ fi
+
++ aspell_datadir="/usr/lib/aspell"
++ if test -f "/usr/bin/pspell-config"; then
++ aspell_datadir=`/usr/bin/pspell-config --pkgdatadir`
++ fi
++
++
++cat >>confdefs.h <<_ACEOF
++#define ASPELL_DATADIR "$aspell_datadir"
++_ACEOF
++
+
+
+ if test -n "$ac_cv_header_aspell_h" -a -n "$LIBASPELL"; then
+@@ -51869,8 +52555,7 @@
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } &&
@@ -13375,7 +13404,7 @@
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
-@@ -51946,8 +52621,7 @@
+@@ -51946,8 +52631,7 @@
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } &&
@@ -13385,7 +13414,7 @@
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
-@@ -52163,8 +52837,7 @@
+@@ -52163,8 +52847,7 @@
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } &&
@@ -13395,7 +13424,7 @@
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
-@@ -52331,8 +53004,7 @@
+@@ -52331,8 +53014,7 @@
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } &&
@@ -13405,7 +13434,7 @@
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
-@@ -52497,8 +53169,7 @@
+@@ -52497,8 +53179,7 @@
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } &&
@@ -13415,7 +13444,7 @@
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
-@@ -52559,8 +53230,7 @@
+@@ -52559,8 +53240,7 @@
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } &&
@@ -13425,7 +13454,7 @@
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
-@@ -52627,8 +53297,7 @@
+@@ -52627,8 +53307,7 @@
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } &&
@@ -13435,7 +13464,7 @@
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
-@@ -52708,8 +53377,7 @@
+@@ -52708,8 +53387,7 @@
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } &&
@@ -13445,7 +13474,7 @@
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
-@@ -53721,6 +54389,13 @@
+@@ -53721,6 +54399,13 @@
LTLIBOBJS=$ac_ltlibobjs
@@ -13459,7 +13488,7 @@
if test -z "${AMDEP_TRUE}" && test -z "${AMDEP_FALSE}"; then
{ { echo "$as_me:$LINENO: error: conditional \"AMDEP\" was never defined.
Usually this means the macro was only invoked conditionally." >&5
-@@ -53784,13 +54459,6 @@
+@@ -53784,13 +54469,6 @@
Usually this means the macro was only invoked conditionally." >&2;}
{ (exit 1); exit 1; }; }
fi
@@ -13473,7 +13502,7 @@
if test -z "${include_SVGICONS_TRUE}" && test -z "${include_SVGICONS_FALSE}"; then
{ { echo "$as_me:$LINENO: error: conditional \"include_SVGICONS\" was never defined.
Usually this means the macro was only invoked conditionally." >&5
-@@ -54925,6 +55593,9 @@
+@@ -54925,6 +55603,9 @@
s, at AMTAR@,$AMTAR,;t t
s, at am__tar@,$am__tar,;t t
s, at am__untar@,$am__untar,;t t
@@ -13483,7 +13512,7 @@
s, at CC@,$CC,;t t
s, at CFLAGS@,$CFLAGS,;t t
s, at LDFLAGS@,$LDFLAGS,;t t
-@@ -55118,9 +55789,11 @@
+@@ -55118,9 +55799,11 @@
s, at include_VERSION_SCRIPT_TRUE@,$include_VERSION_SCRIPT_TRUE,;t t
s, at include_VERSION_SCRIPT_FALSE@,$include_VERSION_SCRIPT_FALSE,;t t
s, at MD5SUM@,$MD5SUM,;t t
@@ -13498,7 +13527,7 @@
s, at LUA@,$LUA,;t t
s, at LUA_INCLUDES@,$LUA_INCLUDES,;t t
s, at LUA_LIBS@,$LUA_LIBS,;t t
-@@ -55154,7 +55827,6 @@
+@@ -55154,7 +55837,6 @@
s, at KJAVA_POLICYPATH@,$KJAVA_POLICYPATH,;t t
s, at LIBTIFF@,$LIBTIFF,;t t
s, at LIB_JASPER@,$LIB_JASPER,;t t
@@ -13506,7 +13535,7 @@
s, at LIB_EXR@,$LIB_EXR,;t t
s, at EXR_FLAGS@,$EXR_FLAGS,;t t
s, at include_TIFF_MODULES_TRUE@,$include_TIFF_MODULES_TRUE,;t t
-@@ -55432,11 +56104,6 @@
+@@ -55432,11 +56114,6 @@
*) ac_INSTALL=$ac_top_builddir$INSTALL ;;
esac
@@ -13518,7 +13547,7 @@
# Let's still pretend it is `configure' which instantiates (i.e., don't
# use $as_me), people would be surprised to read:
# /* config.h. Generated by config.status. */
-@@ -55475,6 +56142,12 @@
+@@ -55475,6 +56152,12 @@
fi;;
esac
done` || { (exit 1); exit 1; }
@@ -13617,6 +13646,28 @@
dnl =======================================================
dnl FILE: ./kate/part/configure.in.in
dnl =======================================================
+@@ -1948,7 +1929,7 @@
+ ac_LDFLAGS_save="$LDFLAGS"
+ LDFLAGS="$LDFLAGS $all_libraries"
+ AC_TRY_LINK(
+- [#include <pcreposix.h>],
++ [#include <pcre.h>],
+ [regfree(0);],
+ [ac_cv_have_pcreposix="yes"],
+ [ac_cv_have_pcreposix="no"]
+@@ -1995,6 +1976,12 @@
+ AC_LANG_RESTORE
+ fi
+
++ aspell_datadir="/usr/lib/aspell"
++ if test -f "/usr/bin/pspell-config"; then
++ aspell_datadir=`/usr/bin/pspell-config --pkgdatadir`
++ fi
++
++ AC_DEFINE_UNQUOTED( ASPELL_DATADIR, ["$aspell_datadir"], [Define where aspell data dir is] )
+ AM_CONDITIONAL(include_aspell_plugin, test -n "$ac_cv_header_aspell_h" -a -n "$LIBASPELL")
+
+ AC_ARG_WITH(hspell,AC_HELP_STRING([--with-hspell],[Enable hspell support [default=check]]),[hspell_test="$withval"],[hspell_test="yes"])
--- dcop/client/Makefile.in
+++ dcop/client/Makefile.in
@@ -147,6 +147,8 @@
More information about the pkg-kde-commits
mailing list